
use master
CREATE SERVER AUDIT TestFilter 
TO FILE(FILEPATH='c:\temp\')
WITH(QUEUE_DELAY = 1000, ON_FAILURE = CONTINUE)
WHERE object_name = 'SalesOrderDetail' OR object_name = 'GetDetailByOrderID' OR object_name = 'sp_executesql';
go

CREATE SERVER AUDIT SPECIFICATION [ServerAuditSpec_TestFilter] 
FOR SERVER AUDIT [TestFilter] 
ADD (DATABASE_OBJECT_ACCESS_GROUP),
ADD (SCHEMA_OBJECT_ACCESS_GROUP)
WITH (STATE = ON) 
GO

ALTER SERVER AUDIT [TestFilter] 
WITH (STATE = ON);
GO

use AdventureWorks2008R2
go

/*
create procedure Sales.GetDetailByOrderID (@SalesOrderID int)
as
SELECT * FROM Sales.SalesOrderDetail WHERE SalesOrderID = @SalesOrderID;
go
*/

EXECUTE Sales.GetDetailByOrderID 43659;
EXECUTE Sales.GetDetailByOrderID 43661;
GO

DECLARE @ID int = 43659;
EXECUTE sp_executesql 
  N'SELECT * FROM Sales.SalesOrderDetail WHERE SalesOrderID = @ID',
  N'@ID int', @ID;
SET @ID = 43661;
EXECUTE sp_executesql 
  N'SELECT * FROM Sales.SalesOrderDetail WHERE SalesOrderID = @ID',
  N'@ID int', @ID;
GO

EXECUTE sp_executesql 
  N'SELECT * FROM Sales.SalesOrderDetail WHERE SalesOrderID = @ID',
  N'@ID int', 43659;
GO

SELECT * FROM Sales.SalesOrderDetail WHERE SalesOrderID = 43659;
SELECT * FROM Sales.SalesOrderDetail WHERE SalesOrderID = 43661;
GO

-- Cleanup
USE MASTER
GO

ALTER SERVER AUDIT SPECIFICATION [ServerAuditSpec_TestFilter] 
WITH (STATE = OFF);

ALTER SERVER AUDIT [TestFilter] 
WITH (STATE = OFF);
GO

DROP SERVER AUDIT SPECIFICATION [ServerAuditSpec_TestFilter]
DROP SERVER AUDIT [TestFilter] 
GO