
-- SQL login
create login fred with 
 password = 'StrongPW1' must_change,
 default_database = pubs,
 default_language = british,
 check_expiration = on,
 check_policy = on
go

-- Windows login based on user
create login [ZMV2012\Mary] from windows
go

-- Windows login based on group
create login [ZMV2012\payroll] from windows
go

create credential asbob with identity = 'ZMV2012\bobb',
 secret = 'mypassword'
go

use pubs
go

create user simon from login fred
-- sp_grantdbaccess will go away in future version
-- sp_grantdbaccess 'ZMV2012\Mary', 'Mary'
create user Mary from login [ZMV2012\Mary]
create user [ZMV2012\payroll] from login [ZMV2012\payroll]

create role payroll 
sp_addrolemember 'payroll', 'ZMV2012\payroll'

-- cleanup
sp_droprolemember 'payroll', 'ZMV2012\payroll'
drop role payroll
drop user simon
drop user Mary
drop schema [ZMV2012\payroll]
drop user [ZMV2012\payroll]
go

drop login [ZMV2012\payroll]
drop login [ZMV2012\Mary]
drop login fred
drop credential asbob
go