
CREATE CRYPTOGRAPHIC PROVIDER myprov
  FROM FILE = 'c:\temp\my.dll'
go

CREATE SYMMETRIC KEY mykey
  WITH PROVIDER_NAME = myprov,
       PROVIDER_KEY_NAME = 'mykey',
       CREATION_DISPOSITION = OPEN_EXISTING,
       ENCRYPTION BY PROVIDER
go

-- make a SQL user known to the provider
CREATE CREDENTIAL for_ekm 
  WITH IDENTITY = 'mydomain\me',
       SECRET = 'mypw',
       FOR CRYPTO_PROVIDER = myprov
go

CREATE LOGIN mysqllogin WITH PASSWORD = 'StrongPW1'
go
ALTER LOGIN mysqllogin ADD CREDENTIAL for_ekm

-- metadata
select * from sys.fn_provider_algorithms(provider_name)
select * from sys.fn_cryptographic_provider_keys(provider_name)
select * from sys.cryptographic_providers
select * from sys.dm_provider_properties
 